Support for Video Acceleration API (VA API) VaAPI

Bug #531692 reported by Kẏra
138
This bug affects 28 people
Affects Status Importance Assigned to Milestone
GStreamer
Expired
Wishlist
gstreamer0.10 (Ubuntu)
Wishlist
Unassigned

Bug Description

It would be great if GStreamer supported hardware acceleration through the Video Acceleration API (VA API)[0] / libVA[1].

[0] http://en.wikipedia.org/wiki/Video_Acceleration_API
[1] http://www.freedesktop.org/wiki/Software/vaapi

Revision history for this message
Pedro Villavicencio (pedro) wrote :

Thanks for sent it upstream.

Changed in gstreamer0.10 (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in gstreamer:
status: Unknown → New
Revision history for this message
Id2ndR (id2ndr) wrote :
Revision history for this message
skyhard (miran-merljak-deactivatedaccount) wrote :

I think this is a priority! It is currently impossible to watch 1080p video (h.264) in Totem because the lack of hardware acceleration.

Revision history for this message
Ilya Konyakhin (ilyakon) wrote :

2skyhard
In current time you can use mplayer-vaapi instead a gstreamer-based players.
For additional information see this wishlist:
https://bugs.launchpad.net/ubuntu/+bug/517467

Revision history for this message
skyhard (miran-merljak-deactivatedaccount) wrote :

Thanks for the advice! The only problem left is I just found out h.264 hardware decoding is not yet supported in intel drivers for the 4500MHD card. Is there any way to get around this problem or will I have to wait until intel adds the support into the driver, wich could possibly take years...

Revision history for this message
Ilya Konyakhin (ilyakon) wrote :

I looked about your hardware, it seems like your card (4500MHD) has a full set of the hardware acceleration:
http://en.wikipedia.org/wiki/Intel_GMA#GMA_X4500
VA-API claims to the support of the G45 chipset:
http://www.freedesktop.org/wiki/Software/vaapi
You may try to rely on the Wikipedia info about your video card. It may be the variations of the chipsets (GL40 GS40 GM45 GS45) virtually the same that G45 is, but I don't exactly know it.
Anyway, try to install va-api library and patched mplayer-vaapi.
More info about mplayer-vaapi you can find here:
http://www.splitted-desktop.com/~gbeauchesne/mplayer-vaapi/

Revision history for this message
skyhard (miran-merljak-deactivatedaccount) wrote :

The card has video decoding acceleration capabilities yes, and VA-API also supports MPEG-2 decoding on this card, but it seems like the linux drivers don't yet support h.264 hardware decoding!

Revision history for this message
Ilya Konyakhin (ilyakon) wrote :

I have GMA500. There is a full driver back-end, but if looks at AMD and NVIDIA side, you are right - only proprietary drivers support video acceleration. Sad but true.

Revision history for this message
skyhard (miran-merljak-deactivatedaccount) wrote :

Lets hope they add the h.264 decoding support for the g45 very soon. Also it would be great if there were some sort of website that tracked thedevelopment progress of these drivers!

Changed in gstreamer:
importance: Unknown → Wishlist
Revision history for this message
Daniël van Eeden (dveeden) wrote :

Bugs #531692 and #595661 might be duplicates.

Changed in gstreamer:
status: New → Confirmed
Changed in gstreamer:
status: Confirmed → In Progress
Revision history for this message
Peter Meiser (meiser79) wrote :

gstreamer-vaapi (0.3.4-0ubuntu2) precise; urgency=low

  * control, rules: Move gtk-doc-tools to build-depends (FTBFS).

 -- Timo Aaltonen <email address hidden> Thu, 23 Feb 2012 18:07:26 +0200

gstreamer-vaapi (0.3.4-0ubuntu1) precise; urgency=low

  * Pull from unreleased debian git.

 -- Timo Aaltonen <email address hidden> Fri, 10 Feb 2012 14:35:09 +0200

gstreamer-vaapi (0.3.4-1) UNRELEASED; urgency=low

  * Initial release (Closes: #nnnn)

 -- Timo Aaltonen <email address hidden> Wed, 04 Jan 2012 13:50:56 +0200

Peter Meiser (meiser79)
Changed in gstreamer0.10 (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Kẏra (thekyriarchy) wrote :

Awesome. Now to get VDPAU (PureVideo) working

Bug #531693

Revision history for this message
noname2 (noname2-deactivatedaccount) wrote :

it is not fixed. the package is still buggy and va-api does not work properly like in https://bugs.launchpad.net/ubuntu/+source/shotwell/+bug/946742

Changed in gstreamer:
status: In Progress → Expired
Revision history for this message
madbiologist (me-again) wrote :

gstreamer-vaapi 0.5.3 adds support for GStreamer 1.0.x. Additionally, gstreamer-vaapi 0.5.3 brings a vaapidecode fix and fallback for software decoding if no hardware decoder is present.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.